document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handler
  const form = document.querySelector('.contact-form');
  if (form) {
    form.addEventListener('submit', (e) => {
      e.preventDefault();
      const email = form.querySelector('input[type="email"]').value;
      // Add your form submission logic here
      alert('Thank you for subscribing!');
      form.reset();
    });
  }

  // Purchase button handler
  const purchaseButton = document.querySelector('.purchase-button');
  if (purchaseButton) {
    purchaseButton.addEventListener('click', () => {
      // Add your purchase logic here
      alert('Redirecting to payment gateway...');
    });
  }

  // FAQ accordion functionality
  const faqItems = document.querySelectorAll('details');
  faqItems.forEach(item => {
    item.addEventListener('toggle', () => {
      if (item.open) {
        faqItems.forEach(otherItem => {
          if (otherItem !== item) {
            otherItem.open = false;
          }
        });
      }
    });
  });
});